Bug 997914 - Deleting a sync schedule and creating another one does not change the Next Run on schedule list
Deleting a sync schedule and creating another one does not change the Next Ru...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.3.0
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 09:36 EDT by Preethi Thomas
Modified: 2014-03-30 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-16 09:36:29 EDT
Description of problem:

If you create a sync schedule and then deletes it and create a different schedule doesn't seem to change the next run value.

Version-Release number of selected component (if applicable):
[root@cloud-qe-9 ~]# rpm -qa pulp-server
pulp-server-2.2.0-0.26.beta.el6.noarch


How reproducible:


Steps to Reproduce:
[root@cloud-qe-9 ~]# pulp-admin rpm repo sync schedules  list --repo-id zoo1+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

Schedule: 2013-08-16T08:00:00Z/PT1H
Id:       520e28cad634495740000025
Enabled:  True
Last Run: None
Next Run: 2013-08-16T14:00:00Z


[root@cloud-qe-9 ~]# pulp-admin rpm repo sync schedules  delete --repo-id zoo1 --schedule-id 520e28cad634495740000025
Schedule successfully deleted

[root@cloud-qe-9 ~]# pulp-admin rpm repo sync schedules  list --repo-id zoo1+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

There are no schedules defined for this operation.

[root@cloud-qe-9 ~]# pulp-admin rpm repo sync schedules  create --repo-id zoo1 --schedule 2013-08-15T08:00:00Z/PT1H
Schedule successfully created

[root@cloud-qe-9 ~]# pulp-admin rpm repo sync schedules  list --repo-id zoo1+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

Schedule: 2013-08-15T08:00:00Z/PT1H
Id:       520e2949d63449574000003e
Enabled:  True
Last Run: None
Next Run: 2013-08-16T14:00:00Z



Actual results:


Expected results:


Additional info:
Comment 1 Jason Connor 2013-09-17 17:31:59 EDT
Fixed in commit 51c93ef6371dfb57b12f917e4b2d1103354a5720
Comment 2 Jeff Ortel 2013-09-18 19:58:43 EDT
build: 2.3.0-0.14.alpha
Comment 3 Preethi Thomas 2013-09-19 11:59:19 EDT
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]# 


[root@pulp-v2-server ~]# pulp-admin rpm repo sync schedules create  --schedule 2013-08-15T08:00:00Z/PT1H --repo-id rhel6-2
Schedule successfully created

[root@pulp-v2-server ~]# pulp-admin rpm repo sync schedules list --repo-id rhel6-2
+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

Schedule: 2013-08-15T08:00:00Z/PT1H
Id:       523b2ff8d669f043f7000083
Enabled:  True
Last Run: None
Next Run: 2013-09-19T18:00:00Z


[root@pulp-v2-server ~]# pulp-admin rpm repo sync schedules delete  --schedule-id 523b2ff8d669f043f7000083 --repo-id rhel6-2
Schedule successfully deleted

[root@pulp-v2-server ~]# pulp-admin rpm repo sync schedules create  --schedule 2013-08-17T010:00:00Z/PT4H --repo-id rhel6-2
Schedule successfully created

[root@pulp-v2-server ~]# pulp-admin rpm repo sync schedules list --repo-id rhel6-2
+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

Schedule: 2013-08-17T010:00:00Z/PT4H
Id:       523b3044d669f043f700009b
Enabled:  True
Last Run: None
Next Run: 2013-09-19T21:00:00Z


[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:31:32 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.